camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen" ...@silverbullet.dk>
Subject RE: Maven dependency version error for new component and example - how to set it up?
Date Mon, 02 Jun 2008 04:38:33 GMT
Thanks.

Argh. The answer was just in front of me all the time = We have a saying in Denmark: Sometimes
you can not see the forest for all the trees. 


Med venlig hilsen
 
Claus Ibsen
......................................
Silverbullet
Skovsgårdsvænget 21
8362 Hørning
Tlf. +45 2962 7576
Web: www.silverbullet.dk
-----Original Message-----
From: Willem Jiang [mailto:willem.jiang@gmail.com] 
Sent: 1. juni 2008 16:06
To: camel-dev@activemq.apache.org
Subject: Re: Maven dependency version error for new component and example - how to set it
up?

Hi Claus,

Don't worry, I just did a quick fix for it :)
You need also add the dependency in the parent pom.xml ( trunk\pom.xml)
to avoid the "dependencies.dependency.version" issue.

Willem

Claus Ibsen wrote:
> Hi
>
> In the trunk there are 2 TODO statements in pom.xml files to include
> - spring-integration component
> - loan broker example
>
> The TODO: is something similar as:
> TODO: fix this 'dependencies.dependency.version' is missing for org.apache.camel:camel-spring-integration'
>
> If I include it in my pom I get the above Maven validation error, and I can not figure
out why?
>
> Any Maven super wizards wanna take a look and explain what I do wrong?
>
>
> Med venlig hilsen
>
> Claus Ibsen
> ......................................
> Silverbullet
> Skovsgårdsvænget 21
> 8362 Hørning
> Tlf. +45 2962 7576
> Web: www.silverbullet.dk
>
>
>   


Mime
View raw message